Summary: 	A tool for gathering and displaying system information
Name: 		procinfo
Version:	18
Release:	%mkrel 7
License: 	GPL
Group: 		Monitoring
URL:		http://freshmeat.net/projects/procinfo
Source: 	ftp://ftp.cistron.nl/pub/people/svm/procinfo-%{version}.tar.bz2
Patch0: 	procinfo-14-misc.patch
BuildRequires: 	libtermcap-devel
Buildroot: 	%{_tmppath}/%{name}-root

%description
The procinfo command gets system data from the /proc directory (the kernel
filesystem), formats it and displays it on standard output. You can use
procinfo to acquire information about your system from the kernel as it is
running.

Install procinfo if you'd like to use it to gather and display system data.

%prep

%setup -q
%patch0 -p1 -b .misc

%build
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man8}
perl -p -i -e 's/-o 0 -g 0//g' Makefile
perl -p -i -e 's!/man/!/share/man/!g' Makefile
perl -p -i -e 's!$(prefix)/man!'%{buildroot}'%{_mandir}!g' Makefile
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES
%{_bindir}/*
%{_mandir}/man8/*


%changelog
* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 18-7mdv2007.1
+ Revision: 145461
- Import procinfo



* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 18-7mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 18-6mdk
- Rebuild

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 18-5mdk
- build release

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 18-4mdk
- rebuild

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 18-3mdk
- build release

* Wed Nov 28 2001 Yves Duret <yduret@mandrakesoft.com> 18-2mdk
- spec file sanitizification: copyright, macros, glob

* Tue Mar 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 18-1mdk
- New and shiny source.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 17-5mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 17-4mdk
- BM
- use new macros
- let spechelper compress 'n strip

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 17-3mdk
- fix bad tag value.

* Mon Mar 20 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 17-2mdk
- Updated to procinfo 17
- removed the jbj architecture patch cause it has been included in the procinfo
  tree.

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build
- build as non root

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- patched to work with kernels with LOTS of IRQs. (bug 1616)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Michael Maher <mike@redhat.com>
- updated to version 16
- closed bug 1349

* Fri Nov 20 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated to version 15 to fix bugzilla 70.

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- calculate time per-cent on non-{alpha,i386} correctly.

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 14
- fixed the spec file 

* Thu Apr 30 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.11 to 13
- added socklist program

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- updated to version 0.11

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
